Subject: Offline Message from Reginald Tull: I purchase an EB 7 plus The Orange one In
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 13 Jul 2022 13:08:37 -0000

From: Reginald Tull <[email-masked]>
Phone: 8567237180
Location: Clementon, United States
URL: https://swagtron.com/
Department: SwagTron

I purchase an EB 7 plus The Orange one In early 2020 . I am very happy with the bike But I am now having problems with the battery And when I purchased the bike I either throw away the key by accident or never received 1A received one to unlock the battery I could use your help in this situation I could use your help in this situation

----
Zopim
https://www.zopim.com